#ifndef PREFERENCESEXPERTPAGE_H
#define PREFERENCESEXPERTPAGE_H

#include <QWizardPage>

namespace Ui {
class PreferencesExpertPage;
}

class PreferencesExpertPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit PreferencesExpertPage(QWidget *parent = nullptr);
    ~PreferencesExpertPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void on_label_help_linkActivated(const QString &link);

private:
    Ui::PreferencesExpertPage *ui;
    bool m_initialized;
    QSize m_size;
};

#endif // PREFERENCESEXPERTPAGE_H
